import type {Config} from '@jest/types';

const config: Config.InitialOptions = {
  coverageDirectory: '<rootDir>/coverage/example',
  coverageReporters: ['text-summary', 'html'],
  globalSetup: 'jest-preset-angular/global-setup',
  preset: 'jest-preset-angular',
  reporters: ['default', 'jest-junit'],
  roots: ['<rootDir>/src/'],
  setupFilesAfterEnv: ['<rootDir>/setup-jest.ts'],
  transformIgnorePatterns: [
    'node_modules/(?!.*\\.mjs$|d3|d3-*|delaunator|robust-predicates|internmap)',
  ],
};

export default config;
