import {Collection, SelectedCollectionViewOptions} from '../mvc';
import {Disaggregation} from './Disaggregation';

export interface DisaggGraphViewOptions
  extends SelectedCollectionViewOptions<Disaggregation> {
  /**
   * Default null.
   * Plotting bounds.
   * Can be changed later by setting VIEW.bounds and calling VIEW.render
   */
  bounds?: number[][];

  /**
   * Collection with data to display.
   * Selected Disaggregation object is displayed.
   */
  collection: Collection<Disaggregation>;
}
